Name:           python-vmbuilder
Version:        0.12.4
%define bzrtag  bzr494
Release:        7.%{bzrtag}%{?dist}
Summary:        Ubuntu's vm-builder
Group:          Development/Tools
License:        GPLv3
URL:            https://launchpad.net/vmbuilder/

Source0:        http://archive.ubuntu.com/ubuntu/pool/universe/v/vm-builder/vm-builder_0.12.4+%{bzrtag}.orig.tar.gz
# Workaround: wait for device file, do not give up immediately if it does not exist
Patch0:         python-vmbuilder-0.12.4-kpartx-dev-mapper-delay.patch
# Workaround: sudoers template conflict https://bugs.launchpad.net/vmbuilder/+bug/1659952
Patch1:         python-vmbuilder-0.12.4-sudoers-template-conflict.patch
# Workaround: /tmp is nodev, nosuid, use /var/tmp/vmbuilder-* as temp directories
Patch2:         python-vmbuilder-0.12.4-var-tmp.patch

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-cheetah
Requires:       dpkg
Requires:       debootstrap

%description
Install virtual machines in a snap without ever actually booting a virtual machine.

%prep
%setup -q -n vm-builder-0.12.4+%{bzrtag}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
install -D -pm 644 vmbuilder.1 $RPM_BUILD_ROOT/%{_mandir}/man1/vmbuilder.1
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info
# I think we don't need this part?
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/vmbuilder/debian/

%files
%defattr(-,root,root,-)
%{_bindir}/vmbuilder
%{_mandir}/man1/vmbuilder.1.gz
%{python_sitelib}/VMBuilder/*

%dir %{_sysconfdir}/vmbuilder/ec2
%config(noreplace) %{_sysconfdir}/vmbuilder/ec2/*.tmpl

%dir %{_sysconfdir}/vmbuilder/firstscripts
%config(noreplace) %{_sysconfdir}/vmbuilder/firstscripts/*.tmpl

%dir %{_sysconfdir}/vmbuilder/kvm

%dir %{_sysconfdir}/vmbuilder/libvirt
%config(noreplace) %{_sysconfdir}/vmbuilder/libvirt/*.tmpl

%dir %{_sysconfdir}/vmbuilder/network

%dir %{_sysconfdir}/vmbuilder/postinst

%dir %{_sysconfdir}/vmbuilder/ubuntu
%config(noreplace) %{_sysconfdir}/vmbuilder/ubuntu/*.tmpl

%dir %{_sysconfdir}/vmbuilder/virtualbox
%config(noreplace) %{_sysconfdir}/vmbuilder/virtualbox/*.tmpl

%dir %{_sysconfdir}/vmbuilder/vmware
%config(noreplace) %{_sysconfdir}/vmbuilder/vmware/*.tmpl

%dir %{_sysconfdir}/vmbuilder/xen

%doc AUTHORS NEWS

%changelog
* Tue Mar 07 2017 Warren Togami <wtogami@gmail.com> - 0.12.4-7
- use /var/tmp instead of /tmp (the latter is nodev, nosuid with recent OS defaults)

* Mon Mar 06 2017 Warren Togami <wtogami@gmail.com> - 0.12.4-5
- 0.12.4+bzr494 - Add utopic vivid wily xenial

* Fri Feb 19 2016 Warren Togami <wtogami@gmail.com> - 0.12.4-3
- 0.12.4+bzr489 - Add trusty to list of releases

* Thu May 16 2013 Warren Togami <wtogami@gmail.com> - 0.12.4-2
- Initial RPM release
- patch0: wait for /dev/mapper/loop0p1 to exist after kpartx before proceeding
